Bug 833391 - Upgrade from 3.0.0.GA to 3.0.1.CR6 - Failed to register server plugins NPE when changing Server Name field in installer
Upgrade from 3.0.0.GA to 3.0.1.CR6 - Failed to register server plugins NPE wh...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core Server, Installer, Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity urgent (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 801551
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 07:46 EDT by Lukas Krejci
Modified: 2013-09-01 06:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 801551
Environment:
Last Closed: 2013-09-01 06:15:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-06-19 07:46:06 EDT
This clone is for tracking this bug in master

+++ This bug was initially created as a clone of Bug #801551 +++

Description of problem: I've been doing upgrade testing from JON 3.0.0.GA to JON.3.0.1.CR6. Steps to reproduce bellow are exactly what I did and may not be needed.  


Version-Release number of selected component (if applicable):
Version: 3.0.1.GA
Build Number: bf8f49a:9fe6384


Steps to Reproduce:
1.have JON 3.0.0.GA with eap & ews plugin packs
2.inventory eap 5.1.2 instance
3.upgrade to 3.0.1.GA
4.upgrade eap&ews plugins to 3.0.1.GA
  
Actual results: There is a bunch of NPEs in server log. Server plugins causing NPEs and are not upgraded to 3.0.1 -> UI stil shows 3.0.0.GA version of them


Expected results: all serer plugins are upgraded


Additional info:I am attaching 3.0.1 server log

--- Additional comment from lzoubek@redhat.com on 2012-03-08 15:08:12 EST ---

Created attachment 568735 [details]
3.0.1.CR6 server log

--- Additional comment from ccrouch@redhat.com on 2012-03-08 22:09:52 EST ---

Is this reproducible?

--- Additional comment from lzoubek@redhat.com on 2012-03-09 06:50:50 EST ---

It is reporducible. But, I forgot to mention one important thing. I have changed "Server name" field  on installation jsf page when upgrading to 3.0.1. Without changing "Server Name" this issue does not happen.

--- Additional comment from ccrouch@redhat.com on 2012-03-09 10:02:58 EST ---

Given Libor's comment: "I have changed "Server name" field  on installation jsf page when upgrading to 3.0.1. Without changing "Server Name" this issue does not happen." I don't see this as a blocker for 3.0.1. 

We should probably just reset the "Server Name" field and whatever other fields we don't support change on upgrades, when the upgrade option is selected. I'll leave this bug open for that, but drop the priority and take the target release off

In the meantime I'll raise a doc BZ for 3.0.1 to tell people not to change the "Server Name" field when upgrading.

--- Additional comment from jshaughn@redhat.com on 2012-05-11 15:17:48 EDT ---


Well, I think you are allowed to enter a server name, but this would in effect try to add another server, HA style.  But if you do that you should also be changing other things, like the unique endpoint.

There is a message on the installer screen:

  "If installing a new server enter the server endpoint settings below:"

If you are upgrading an existing server the expectation is, I think, that you will leave the server name alone.

--- Additional comment from ccrouch@redhat.com on 2012-05-21 18:08:29 EDT ---

As per triage, targeting for JON3.1.1
Comment 1 Lukas Krejci 2012-06-19 07:47:54 EDT
master http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=a580f69b6dbf05df46c766daec53982365dac52e
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Jun 19 13:15:37 2012 +0200

    [BZ 801551] - Make sure the server name is not editable when upgrading
    existing server in the installer.
Comment 2 Heiko W. Rupp 2013-09-01 06:15:51 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.